import React from 'react';
import { NavbarProps } from "react-bootstrap";
import { BsPrefixRefForwardingComponent } from 'react-bootstrap/helpers';
import { EventKey } from '@restart/ui/types';
export declare type SidebarMenuProps = Omit<NavbarProps, "sticky" | "fixed"> & {
    rtl?: boolean;
    activeKey?: EventKey;
    hide?: boolean | 'sm' | 'md' | 'lg' | 'xl';
    exclusiveExpand?: boolean;
    defaultActiveKey?: EventKey;
    defaultExpanded?: boolean;
};
declare const _default: BsPrefixRefForwardingComponent<"aside", SidebarMenuProps> & {
    Nav: BsPrefixRefForwardingComponent<"div", import("react-bootstrap/helpers").BsPrefixProps<React.ElementType<any>>> & {
        Item: BsPrefixRefForwardingComponent<"div", unknown>;
        Link: BsPrefixRefForwardingComponent<"a", import("./sidebar-menu-nav-link").SidebarMenuNavLinkProps>;
        Icon: BsPrefixRefForwardingComponent<"span", unknown>;
        Title: BsPrefixRefForwardingComponent<"span", unknown>;
    };
    Sub: BsPrefixRefForwardingComponent<"div", import("react-bootstrap/helpers").BsPrefixProps<React.ElementType<any>> & Omit<NavbarProps, "fixed" | "role" | "onSelect" | "sticky" | "bg" | "variant" | "expand" | "collapseOnSelect"> & {
        eventKey?: EventKey | undefined;
        expanded?: boolean | undefined;
        onToggle?: ((expanded: boolean) => void) | undefined;
    }> & {
        Collapse: BsPrefixRefForwardingComponent<"div", import("./sidebar-menu-sub-collapse").SidebarMenuSubCollapseProps>;
        Toggle: React.ForwardRefExoticComponent<import("react-bootstrap/esm/NavbarToggle").NavbarToggleProps & {
            eventKey?: EventKey | undefined;
        } & React.RefAttributes<unknown>>;
    };
    Brand: BsPrefixRefForwardingComponent<"a", import("react-bootstrap").NavbarBrandProps>;
    Collapse: BsPrefixRefForwardingComponent<"div", import("./sidebar-menu-collapse").SidebarMenuCollapseProps>;
    Toggle: import("./sidebar-menu-toggle").SidebarMenuToggle;
    Header: BsPrefixRefForwardingComponent<"div", unknown>;
    Body: BsPrefixRefForwardingComponent<"div", unknown>;
    Footer: BsPrefixRefForwardingComponent<"div", unknown>;
    Text: BsPrefixRefForwardingComponent<"span", unknown>;
};
export default _default;
